org.eclipse.january.metadata

## Interface StatisticsMetadata<T>

- Type Parameters:
    `T` - is either a Number or a double array
  All Superinterfaces:
    Cloneable, MetadataType, Serializable

      public interface StatisticsMetadata<T>
      extends MetadataType

  Store standard statistics
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dataset` | `getArgMaximum(int axis, boolean... ignoreInvalids)`
    `Dataset` | `getArgMinimum(int axis, boolean... ignoreInvalids)`
    `long` | `getCount(boolean... ignoreInvalids)`
    `Dataset` | `getCount(int[] axes, boolean... ignoreInvalids)`
    `Dataset` | `getCount(int axis, boolean... ignoreInvalids)`
    `int` | `getHash(int[] shape)`
    `T` | `getMaximum(boolean... ignoreInvalids)`
    `Dataset` | `getMaximum(int[] axes, boolean... ignoreInvalids)`
    `Dataset` | `getMaximum(int axis, boolean... ignoreInvalids)`
    `List<int[]>` | `getMaximumPositions(boolean... ignoreInvalids)`
    `T` | `getMean(boolean... ignoreInvalids)`
    `Dataset` | `getMean(int[] axes, boolean... ignoreInvalids)`
    `Dataset` | `getMean(int axis, boolean... ignoreInvalids)`
    `T` | `getMinimum(boolean... ignoreInvalids)`
    `Dataset` | `getMinimum(int[] axes, boolean... ignoreInvalids)`
    `Dataset` | `getMinimum(int axis, boolean... ignoreInvalids)`
    `List<int[]>` | `getMinimumPositions(boolean... ignoreInvalids)`
    `T` | `getSum(boolean... ignoreInvalids)`
    `Dataset` | `getSum(int[] axes, boolean... ignoreInvalids)`
    `Dataset` | `getSum(int axis, boolean... ignoreInvalids)`
    `double` | `getVariance(boolean isWholePopulation, boolean... ignoreInvalids)`
    `Dataset` | `getVariance(int[] axes, boolean isWholePopulation, boolean... ignoreInvalids)`
    `Dataset` | `getVariance(int axis, boolean isWholePopulation, boolean... ignoreInvalids)`
    `void` | `initialize(Dataset dataset)`
    `boolean` | `isDirty()`
    `boolean` | `isDirty(Dataset dataset)`
    `void` | `setDirty()` Call to indicate dataset has been modified so statistics are not up-to-date
    `void` | `setHash(int hash)`
    `void` | `setMaximumMinimum(T maximum, T minimum, boolean... ignoreInvalids)` Deprecated.
    `void` | `setMaximumMinimumSum(T maximum, T minimum, T sum, boolean... ignoreInvalids)`
    `void` | `setMaximumPositions(List<int[]> maximumPositions, boolean... ignoreInvalids)`
    `void` | `setMinimumPositions(List<int[]> minimumPositions, boolean... ignoreInvalids)`

    - ### Methods inherited from interface org.eclipse.january.metadata.MetadataType

      `clone`

- - ### Method Detail

    - #### initialize

          void initialize(Dataset dataset)

      Parameters:
        `dataset` - to use

    - #### setDirty

          void setDirty()

      Call to indicate dataset has been modified so statistics are not up-to-date

    - #### isDirty

          boolean isDirty()

      Returns:
        true if dataset has been modified

    - #### isDirty

          boolean isDirty(Dataset dataset)

      Parameters:
        `dataset` - dataset whose statistics is stored by this metadata
      Returns:
        true if dataset has been modified
      Since:
        2.2

    - #### setHash

          void setHash(int hash)

      Parameters:
        `hash` - the hash to set

    - #### getHash

          int getHash(int[] shape)

      Parameters:
        `shape` - to hash with data
      Returns:
        the hash

    - #### getMaximum

          T getMaximum(boolean... ignoreInvalids)

      Parameters:
        `ignoreInvalids` - - Can be null, one boolean, or two booleans. By default, both are false. If the first boolean is true, will ignore NaNs and ignore infinities. Use the second boolean to ignore infinities separately.
      Returns:
        the maximum

    - #### setMaximumMinimum

          @Deprecated
          void setMaximumMinimum(T maximum,
                                             T minimum,
                                             boolean... ignoreInvalids)

      Deprecated.
      Parameters:
        `maximum` - the maximum to set
        `minimum` - the minimum to set
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation

    - #### setMaximumMinimumSum

          void setMaximumMinimumSum(T maximum,
                                    T minimum,
                                    T sum,
                                    boolean... ignoreInvalids)

      Parameters:
        `maximum` - the maximum to set
        `minimum` - the minimum to set
        `sum` - the sum to set
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Since:
        2.1

    - #### setMaximumPositions

          void setMaximumPositions(List<int[]> maximumPositions,
                                   boolean... ignoreInvalids)

      Parameters:
        `maximumPositions` - the maximum positions to set
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation

    - #### setMinimumPositions

          void setMinimumPositions(List<int[]> minimumPositions,
                                   boolean... ignoreInvalids)

      Parameters:
        `minimumPositions` - the minimum positions to set
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation

    - #### getMaximumPositions

          List<int[]> getMaximumPositions(boolean... ignoreInvalids)

      Parameters:
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the maximum positions

    - #### getMinimum

          T getMinimum(boolean... ignoreInvalids)

      Parameters:
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the minimum

    - #### getMinimumPositions

          List<int[]> getMinimumPositions(boolean... ignoreInvalids)

      Parameters:
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the minimum positions

    - #### getCount

          long getCount(boolean... ignoreInvalids)

      Parameters:
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the number of samples

    - #### getMean

          T getMean(boolean... ignoreInvalids)

      Parameters:
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the mean of samples

    - #### getSum

          T getSum(boolean... ignoreInvalids)

      Parameters:
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the sum of samples

    - #### getVariance

          double getVariance(boolean isWholePopulation,
                             boolean... ignoreInvalids)

      Parameters:
        `isWholePopulation` - if false, consider as sample of population
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the variance of samples

    - #### getArgMaximum

          Dataset getArgMaximum(int axis,
                                boolean... ignoreInvalids)

      Parameters:
        `axis` - to reduce along
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the argument at which the maximum first occurs

    - #### getArgMinimum

          Dataset getArgMinimum(int axis,
                                boolean... ignoreInvalids)

      Parameters:
        `axis` - to reduce along
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the argument at which the minimum first occurs

    - #### getMaximum

          Dataset getMaximum(int axis,
                             boolean... ignoreInvalids)

      Parameters:
        `axis` - to reduce along
        `ignoreInvalids` - - Can be null, one boolean, or two booleans. By default, both are false. If the first boolean is true, will ignore NaNs and ignore infinities. Use the second boolean to ignore infinities separately.
      Returns:
        the maximum

    - #### getMinimum

          Dataset getMinimum(int axis,
                             boolean... ignoreInvalids)

      Parameters:
        `axis` - to reduce along
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the minimum

    - #### getCount

          Dataset getCount(int axis,
                           boolean... ignoreInvalids)

      Parameters:
        `axis` - to reduce along
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the number of samples

    - #### getMean

          Dataset getMean(int axis,
                          boolean... ignoreInvalids)

      Parameters:
        `axis` - to reduce along
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the mean of samples

    - #### getSum

          Dataset getSum(int axis,
                         boolean... ignoreInvalids)

      Parameters:
        `axis` - to reduce along
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the sum of samples

    - #### getVariance

          Dataset getVariance(int axis,
                              boolean isWholePopulation,
                              boolean... ignoreInvalids)

      Parameters:
        `axis` - to reduce along
        `isWholePopulation` - if false, consider as sample of population
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the variance of samples

    - #### getMaximum

          Dataset getMaximum(int[] axes,
                             boolean... ignoreInvalids)

      Parameters:
        `axes` - to reduce along
        `ignoreInvalids` - - Can be null, one boolean, or two booleans. By default, both are false. If the first boolean is true, will ignore NaNs and ignore infinities. Use the second boolean to ignore infinities separately.
      Returns:
        the maximum
      Since:
        2.2

    - #### getMinimum

          Dataset getMinimum(int[] axes,
                             boolean... ignoreInvalids)

      Parameters:
        `axes` - to reduce over
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the minimum
      Since:
        2.2

    - #### getCount

          Dataset getCount(int[] axes,
                           boolean... ignoreInvalids)

      Parameters:
        `axes` - to reduce over
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the number of samples
      Since:
        2.2

    - #### getMean

          Dataset getMean(int[] axes,
                          boolean... ignoreInvalids)

      Parameters:
        `axes` - to reduce over
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the mean of samples
      Since:
        2.2

    - #### getSum

          Dataset getSum(int[] axes,
                         boolean... ignoreInvalids)

      Parameters:
        `axes` - to reduce over
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the sum of samples
      Since:
        2.2

    - #### getVariance

          Dataset getVariance(int[] axes,
                              boolean isWholePopulation,
                              boolean... ignoreInvalids)

      Parameters:
        `axes` - to reduce along
        `isWholePopulation` - if false, consider as sample of population
        `ignoreInvalids` - see `getMaximum(boolean...)` for explanation
      Returns:
        the variance of samples
      Since:
        2.2

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.